Bug#345724: marked as done (eclipse-platform: /usr/lib/eclipse/features also in eclipse-source)

Debian Bug Tracking System owner at bugs.debian.org
Sat Jan 7 14:33:21 UTC 2006

Your message dated Sat, 07 Jan 2006 06:17:16 -0800
with message-id <E1EvEse-0000bX-E9 at spohr.debian.org>
and subject line Bug#345749: fixed in eclipse 3.1.1-8
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

Received: (at submit) by bugs.debian.org; 3 Jan 2006 04:42:38 +0000
>From debian at n-dimensional.de Mon Jan 02 20:42:38 2006
Return-path: <debian at n-dimensional.de>
Received: from bender.bawue.de ([])
	by spohr.debian.org with esmtp (Exim 4.50)
	id 1Ete0L-0001g7-Uq
	for submit at bugs.debian.org; Mon, 02 Jan 2006 20:42:38 -0800
Received: by bender.bawue.de (Postfix, from userid 10)
	id 397D0482EE; Tue,  3 Jan 2006 05:40:11 +0100 (MET)
Received: by mobile-mx.n-dimensional.de (Postfix, from userid 1001)
	id 668C548012; Tue,  3 Jan 2006 05:39:55 +0100 (CET)
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
From: Hans Ulrich Niedermann <debian at n-dimensional.de>
To: Debian Bug Tracking System <submit at bugs.debian.org>
Subject: eclipse-platform: /usr/lib/eclipse/features also in eclipse-source
Message-ID: <20060103043955.9480.76788.reportbug at mir.z61.n-dimensional.de>
X-Mailer: reportbug 3.18
Date: Tue, 03 Jan 2006 05:39:55 +0100
Delivered-To: submit at bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Status: No, hits=-8.0 required=4.0 tests=BAYES_00,HAS_PACKAGE 
	autolearn=no version=2.60-bugs.debian.org_2005_01_02

Package: eclipse-platform
Version: 3.1.1-7
Severity: important

Updating from 3.1.1-6 to 3.1.1-7 fails like this:

Preparing to replace eclipse-platform 3.1.1-6 (using .../eclipse-platform_3.1.1-7_i386.deb) ...
Unpacking replacement eclipse-platform ...
dpkg: error processing /var/cache/apt/archives/eclipse-platform_3.1.1-7_i386.deb (--unpack):
 trying to overwrite `/usr/lib/eclipse/features', which is also in package eclipse-source
Errors were encountered while processing:

Version of conflicting package:
iU  eclipse-source                3.1.1-7    Eclipse source code plug-ins

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (900, 'stable'), (700, 'unstable'), (100, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Locale: LANG=C, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)

Versions of packages eclipse-platform depends on:
ii  eclipse-platform-common       3.1.1-7    Eclipse platform without plug-ins 
ii  eclipse-rcp                   3.1.1-7    Eclipse rich client platform
ii  libjsch-java                  0.1.19-3   java secure channel
ii  liblucene-java                1.4.3-9    full-text search engine library fo
ii  liblucene-java-doc            1.4.3-9    demonstration programs and example
ii  libtomcat5-java               5.0.30-8   Java Servlet engine -- core librar

Versions of packages eclipse-platform recommends:
pn  eclipse                       <none>     (no description available)
pn  eclipse-platform-gcj          <none>     (no description available)
ii  java-gcj-compat               1.0.30-4   Java runtime environment using GIJ

-- no debconf information

Received: (at 345749-close) by bugs.debian.org; 7 Jan 2006 14:21:45 +0000
>From katie at ftp-master.debian.org Sat Jan 07 06:21:45 2006
Return-path: <katie at ftp-master.debian.org>
Received: from katie by spohr.debian.org with local (Exim 4.50)
	id 1EvEse-0000bX-E9; Sat, 07 Jan 2006 06:17:16 -0800
From: Michael Koch <konqueror at gmx.de>
To: 345749-close at bugs.debian.org
X-Katie: $Revision: 1.65 $
Subject: Bug#345749: fixed in eclipse 3.1.1-8
Message-Id: <E1EvEse-0000bX-E9 at spohr.debian.org>
Sender: Archive Administrator <katie at ftp-master.debian.org>
Date: Sat, 07 Jan 2006 06:17:16 -0800
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Status: No, hits=-6.0 required=4.0 tests=BAYES_00,HAS_BUG_NUMBER 
	autolearn=no version=2.60-bugs.debian.org_2005_01_02

Source: eclipse
Source-Version: 3.1.1-8

We believe that the bug you reported is fixed in the latest version of
eclipse, which is due to be installed in the Debian FTP archive:

  to pool/main/e/eclipse/eclipse-ecj-gcj_3.1.1-8_i386.deb
  to pool/main/e/eclipse/eclipse-ecj_3.1.1-8_all.deb
  to pool/main/e/eclipse/eclipse-efj_3.1.1-8_i386.deb
  to pool/main/e/eclipse/eclipse-jdt-common_3.1.1-8_all.deb
  to pool/main/e/eclipse/eclipse-jdt-gcj_3.1.1-8_i386.deb
  to pool/main/e/eclipse/eclipse-jdt_3.1.1-8_i386.deb
  to pool/main/e/eclipse/eclipse-pde-common_3.1.1-8_all.deb
  to pool/main/e/eclipse/eclipse-pde-gcj_3.1.1-8_i386.deb
  to pool/main/e/eclipse/eclipse-pde_3.1.1-8_i386.deb
  to pool/main/e/eclipse/eclipse-platform-common_3.1.1-8_all.deb
  to pool/main/e/eclipse/eclipse-platform-gcj_3.1.1-8_i386.deb
  to pool/main/e/eclipse/eclipse-platform_3.1.1-8_i386.deb
  to pool/main/e/eclipse/eclipse-rcp-common_3.1.1-8_all.deb
  to pool/main/e/eclipse/eclipse-rcp-gcj_3.1.1-8_i386.deb
  to pool/main/e/eclipse/eclipse-rcp_3.1.1-8_i386.deb
  to pool/main/e/eclipse/eclipse-sdk_3.1.1-8_all.deb
  to pool/main/e/eclipse/eclipse-source_3.1.1-8_i386.deb
  to pool/main/e/eclipse/eclipse_3.1.1-8.diff.gz
  to pool/main/e/eclipse/eclipse_3.1.1-8.dsc
  to pool/main/e/eclipse/eclipse_3.1.1-8_all.deb
  to pool/main/e/eclipse/libswt3.1-gtk-java_3.1.1-8_i386.deb
  to pool/main/e/eclipse/libswt3.1-gtk-jni_3.1.1-8_i386.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 345749 at bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Michael Koch <konqueror at gmx.de> (supplier of updated eclipse package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster at debian.org)

Hash: SHA1

Format: 1.7
Date: Sat,  7 Jan 2006 11:45:19 +0000
Source: eclipse
Binary: eclipse-rcp-common eclipse-jdt-common eclipse-platform-gcj eclipse-source libswt3.1-gtk-jni libswt3.1-gtk-java eclipse-efj eclipse-pde-gcj eclipse-ecj-gcj eclipse-jdt eclipse-ecj eclipse-platform eclipse-sdk eclipse-jdt-gcj eclipse eclipse-pde eclipse-pde-common eclipse-rcp-gcj eclipse-rcp eclipse-platform-common
Architecture: source i386 all
Version: 3.1.1-8
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers at lists.alioth.debian.org>
Changed-By: Michael Koch <konqueror at gmx.de>
 eclipse    - Extensible Tool Platform and Java IDE
 eclipse-ecj - Eclipse Java compiler and Ant plug-in
 eclipse-ecj-gcj - Native version of the Eclipse Java compiler
 eclipse-efj - Eclipse Java code formatter
 eclipse-jdt - Java Development Tools plug-ins for Eclipse
 eclipse-jdt-common - Java Development Tools plug-ins for Eclipse (common files)
 eclipse-jdt-gcj - Java Development Tools plug-ins for Eclipse (GCJ version)
 eclipse-pde - Plug-in Development Environment to develop Eclipse plug-ins
 eclipse-pde-common - Plug-in Development Environment to develop Eclipse plug-ins (comm
 eclipse-pde-gcj - Plug-in Development Environment to develop Eclipse plug-ins (GCJ 
 eclipse-platform - Eclipse platform without plug-ins to develop any language
 eclipse-platform-common - Eclipse platform without plug-ins to develop any language (common
 eclipse-platform-gcj - Eclipse platform without plug-ins to develop any language (GCJ ve
 eclipse-rcp - Eclipse rich client platform
 eclipse-rcp-common - Eclipse rich client platform (common files)
 eclipse-rcp-gcj - Eclipse rich client platform (GCJ version)
 eclipse-sdk - Extensible Tool Platform and Java IDE
 eclipse-source - Eclipse source code plug-ins
 libswt3.1-gtk-java - Fast and rich GUI toolkit for Java, gtk2 version
 libswt3.1-gtk-jni - Platform dependent files for libswt3.1-gtk-java
Closes: 345724 345749 345756 346110 346224
 eclipse (3.1.1-8) unstable; urgency=low
   * debian/eclipse-platform.preinst: Make /usr/lib/eclipse/features a real
     directory. Closes: #345724, #345749, #346224
   * debian/rules: Don't make /usr/lib/eclipse/features a symlink.
   * debian/eclipse-platform.install: Include only the non-source features.
   * debian/rules: Handle eclipse architures with the same name as the
     according Debian architures correctly.
   * debian/rules: Don't re-define CURDIR. It's defined by make.
   * debian/rules: Don't overwrite LC_ALL. Not needed.
   * debian/extra/eclipse.sh: Fixed handling of /etc/eclipse/java_home.
     Closes: #345756, #346110
 9a8ef255a3b48e04502c2646e4c83766 1511 devel optional eclipse_3.1.1-8.dsc
 658a5a8724f7b91523f42f364173d958 112664 devel optional eclipse_3.1.1-8.diff.gz
 33a1eddf1a3e4b155aea25aadd90045c 4685834 devel optional eclipse-rcp-common_3.1.1-8_all.deb
 44d1bdeea793297ba012bdc97f8ef85f 36115178 devel optional eclipse-platform-common_3.1.1-8_all.deb
 dd4ce8577f9267d3b161161c278ed7b6 22225134 devel optional eclipse-jdt-common_3.1.1-8_all.deb
 4fa60e532bf567d813703f2f4b333e06 5719820 devel optional eclipse-pde-common_3.1.1-8_all.deb
 dbe45fe1505d539165fecf54226d4630 18960 devel optional eclipse-sdk_3.1.1-8_all.deb
 a3e8cdf80265001c630d0f3eaa9b992d 75900 devel optional eclipse_3.1.1-8_all.deb
 a4e3bc7f39043e99b3705953c4337792 30680 devel optional eclipse-ecj_3.1.1-8_all.deb
 fe53102f5a6cf22efe5b1547ba53ff62 19958 devel optional eclipse-rcp_3.1.1-8_i386.deb
 e745b5e26c067c8376e09f2b30cca124 94092 devel optional eclipse-rcp-gcj_3.1.1-8_i386.deb
 f9377175c31b7cc662ea51fc7a655d3f 46098 devel optional eclipse-platform_3.1.1-8_i386.deb
 6023568cf89bd7240ebe84a57257d503 189762 devel optional eclipse-platform-gcj_3.1.1-8_i386.deb
 c97e8ae6c94d2844cf363e34905620a8 19302 devel optional eclipse-jdt_3.1.1-8_i386.deb
 3c9368690c5d6879c4b8d4050e13aa6b 159114 devel optional eclipse-jdt-gcj_3.1.1-8_i386.deb
 68777ceb2de0faf038d1e24404c31374 19142 devel optional eclipse-pde_3.1.1-8_i386.deb
 dc4ace362230fb35edfd80f0972ac0e3 61750 devel optional eclipse-pde-gcj_3.1.1-8_i386.deb
 e5e6efe0d6d996f98db0074e33047ac3 25719702 devel optional eclipse-source_3.1.1-8_i386.deb
 706ffac63c74baf69f8d6b82e35d8c49 1338738 devel optional libswt3.1-gtk-java_3.1.1-8_i386.deb
 348587c5701e12bb12b1bbaa9074c32b 174438 devel optional libswt3.1-gtk-jni_3.1.1-8_i386.deb
 a9cf40d8c014e7027285adcc2aa54665 1668514 devel optional eclipse-ecj-gcj_3.1.1-8_i386.deb
 7dcbc986ae7e43f9a54fc8529230de9e 19212 devel optional eclipse-efj_3.1.1-8_i386.deb

Version: GnuPG v1.4.1 (GNU/Linux)


More information about the pkg-java-maintainers mailing list